"use strict";
exports.__esModule = true;
require("babel-polyfill");
var fs_1 = require("fs");
var TransformContext_1 = require("./TransformContext");
exports.TransformContext = TransformContext_1["default"];
function transformString(filename, source) {
    var context = new TransformContext_1["default"]();
    return context.transform(filename, source).code;
}
exports.transformString = transformString;
function transformFile(filename) {
    return transformString(filename, fs_1.readFileSync(filename, 'utf8'));
}
exports.transformFile = transformFile;
