"use strict";
exports.__esModule = true;
var tt = require("typescript");
var transformBindingElement_1 = require("./transformBindingElement");
function transformArrayBindingElement(pattern, scope) {
    switch (pattern.kind) {
        case tt.SyntaxKind.OmittedExpression:
            return ',';
        case tt.SyntaxKind.BindingElement:
            return transformBindingElement_1["default"](pattern, scope);
    }
}
exports["default"] = transformArrayBindingElement;
