"use strict";
exports.__esModule = true;
var tt = require("typescript");
var transformExpression_1 = require("./transformExpression");
function getOperator(op) {
    switch (op) {
        case tt.SyntaxKind.PlusPlusToken:
            return '++';
        case tt.SyntaxKind.MinusMinusToken:
            return '--';
        case tt.SyntaxKind.PlusToken:
            return '+';
        case tt.SyntaxKind.MinusToken:
            return '-';
        case tt.SyntaxKind.TildeToken:
            return '~';
        case tt.SyntaxKind.ExclamationToken:
            return '!';
    }
}
function transformPropertyDeclaration(node, scope) {
    return getOperator(node.operator) + transformExpression_1["default"](node.operand, scope);
}
exports["default"] = transformPropertyDeclaration;
