"use strict";
exports.__esModule = true;
var tt = require("typescript");
var transformTypeNode_1 = require("./transformTypeNode");
function transformTypeOperator(node, scope) {
    if (node.operator !== tt.SyntaxKind.KeyOfKeyword) {
        throw scope.createError('Unsupported type operator ' + tt.SyntaxKind[node.operator], node);
    }
    return "$Keys<" + transformTypeNode_1["default"](node.type, scope) + ">";
}
exports["default"] = transformTypeOperator;
