"use strict";
exports.__esModule = true;
var declarationExports_1 = require("./declarationExports");
var transformIdentifier_1 = require("./transformIdentifier");
var transformTypeElement_1 = require("./transformTypeElement");
var transformTypeParameters_1 = require("./transformTypeParameters");
function transformInterfaceDeclaration(node, scope) {
    var typeParameters = transformTypeParameters_1["default"](node.typeParameters, scope);
    scope.addLocalTypeName(node.name.text);
    return "\n    interface " + transformIdentifier_1["default"](node.name, scope) + typeParameters + " {\n      " + node.members.map(function (element) { return transformTypeElement_1["default"](element, scope); }).join(';') + "\n    }\n    " + declarationExports_1["default"](node, scope) + "\n  ";
}
exports["default"] = transformInterfaceDeclaration;
