"use strict";
exports.__esModule = true;
var transformIdentifier_1 = require("./transformIdentifier");
var transformTypeNode_1 = require("./transformTypeNode");
var declarationExports_1 = require("./declarationExports");
var transformTypeParameters_1 = require("./transformTypeParameters");
function transformTypeAliasDeclaration(statement, scope) {
    scope.addLocalTypeName(statement.name.text);
    return "\n    type " + transformIdentifier_1["default"](statement.name, scope) + transformTypeParameters_1["default"](statement.typeParameters, scope) + " = " + transformTypeNode_1["default"](statement.type, scope) + "\n    " + declarationExports_1["default"](statement, scope) + "\n  ";
}
exports["default"] = transformTypeAliasDeclaration;
