"use strict";
exports.__esModule = true;
var transformBindingName_1 = require("./transformBindingName");
var transformTypeNode_1 = require("./transformTypeNode");
function transformVariableStatement(node, scope) {
    return node.declarationList.declarations.map(function (node) {
        if (!node.type) {
            return '';
        }
        return "declare var " + transformBindingName_1["default"](node.name, scope) + ": " + transformTypeNode_1["default"](node.type, scope);
    }).join('\n');
    // if (!node.name) {
    //   throw scope.createError('Expected function declaration to have a name', node);
    // }
    // const name = transformIdentifier(node.name, scope);
    // const typeParameters = transformTypeParameters(node.typeParameters, scope);
    // const parameters = node.parameters.map(p => transformParameterDeclaration(p, scope)).join(',');
    // const returnType = node.type ? transformTypeNode(node.type, scope) : 'void';
    // return `
    //   declare function ${name}${typeParameters}(${parameters}): ${returnType};
    //   ${declarationExports(node, scope)}
    // `;
}
exports["default"] = transformVariableStatement;
